Subject: Re: bug#36974: 26.2.90; [PATCH] Add imenu support to xref

From: Dmitry Gutov <[email-masked]>
Date: Tue, 24 Dec 2019 22:41:17 +0200

On 23.08.2019 7:32, Lars Ingebrigtsen wrote:
> Damien Cassou<[email-masked]>  writes:
> 
>> * lisp/progmodes/xref.el (xref--imenu-prev-index-position)
>> (xref--imenu-extract-index-name): Add functions to get imenu support.
>> (xref--xref-buffer-mode): Set imenu variables to the new functions.
>> * etc/NEWS: Add corresponding entry.
> I'm not a big imenu user, so I'm probably not the best to judge the
> applicability of this patch, but it looked logical to me, and I've
> applied the patch (after folding a couple of too-long lines).

This patch had a typo which made it not work at all (which is easy to 
see by calling 'M-x imenu' in any of the Xref buffers).

Considering it's been applied 4 months ago and nobody noticed the 
problem, maybe it's not that useful after all?